[C++-sig] Fatal Python error: Interpreter not initialized (version mismatch?)

Matthew Scouten matthew.scouten at gmail.com
Thu Mar 20 20:49:25 CET 2008

Boost::python, and my extension are both compiled against python 2.5.1
My extension's debug version and release configurations were both
compiled against the appropriate configuration of the same python lib.

If Someone answered my question earlier. It must not have reached me. sorry.

On Thu, Mar 20, 2008 at 2:34 PM, Stefan Seefeld <seefeld at sympatico.ca>

> Matthew Scouten wrote:
> > No one can help me? This is an odd error.  It only comes up when I am
> > running debug python.should I be asking a more general python group?
> Didn't David answer this question already ?
> You need to make sure boost.python as well as your application / modules
> are compiled against the same python library, as debug and release
> versions aren't binary-compatible.
> Regards,
>                Stefan
> --
>       ...ich hab' noch einen Koffer in Berlin...
> _______________________________________________
> C++-sig mailing list
> C++-sig at python.org
> http://mail.python.org/mailman/listinfo/c++-sig
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.python.org/pipermail/cplusplus-sig/attachments/20080320/0b1d9040/attachment.htm>

More information about the Cplusplus-sig mailing list